> For the complete documentation index, see [llms.txt](https://docs.udara360.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.udara360.io/udara360-docs-1/reports/report-api/get-transaction-callover-report.md).

# Get Transaction Callover Report

To fetch a report detailing transaction callover information, you can send a GET request to the following endpoint:

\ <mark style="color:blue;">`GET`</mark> `/api/Report/v1/GetTransactionCallOverReport`

\
The request query should contain the necessary parameters, such as the date `referenceNumber` or `instrumentNumber` to specify the exact report needed. \
\
This API streamlines the process of obtaining transaction callover reports, offering an efficient means of managing and accessing transaction-related data.

{% hint style="info" %}
All in-branch transactions are included, excluding transactions from channels and end-of-day transactions.
{% endhint %}

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Query Parameter**

<table><thead><tr><th width="205">Name</th><th width="176">Data Type (length)</th><th>Description</th><th data-hidden>Required</th></tr></thead><tbody><tr><td><code>referenceNumber</code></td><td>string</td><td>The reference number for the transaction</td><td></td></tr><tr><td><code>instrumentNumber</code></td><td>string</td><td>The instrument number related to the transaction</td><td></td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/Report/v1/GetTransactionCallOverReport?AccountNumber=1000002992&PostingReferenceNumber=4945858&InstrumentNumber=0002&EntryCode=100&BatchCode=001&FinancialDateFrom=2022-01-01&FinancialDateTo=2022-03-09&StartDate=2022-01-01&EndDate=2022-03-09&PageNumber=1&PageSize=10&SortColum=StartDate&Direction=asc' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "status": true,
  "message": "string",
  "data": {
    "attachment": "string",
    "fileName": "string",
    "contentType": "string"
  }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/reports/report-api/get-transaction-callover-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
